Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.owscommon_1_1_0
Class OWSCommonCapabilities

    java.lang.Object
      org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
          org.deegree.owscommon_1_1_0.OWSCommonCapabilities

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  WCTSCapabilities

    public class OWSCommonCapabilities

extends OGCCapabilities

`OWSCommonCapabilities` encapsulates the serviceIdentification, serviceProvider and the operationsMetadata representations of the ows common version 1.1.0.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`OWSCommonCapabilities(String version, String updateSequence, ServiceIdentification serviceIdentification, ServiceProvider serviceProvider, OperationsMetadata operationsMetadata)`

Method Summary
`OperationsMetadata` | `getOperationsMetadata()`
`ServiceIdentification` | `getServiceIdentification()`
`ServiceProvider` | `getServiceProvider()`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
`getUpdateSequence, getVersion, setUpdateSequence, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWSCommonCapabilities

    public OWSCommonCapabilities(String version,
                                 String updateSequence,
                                 ServiceIdentification serviceIdentification,
                                 ServiceProvider serviceProvider,
                                 OperationsMetadata operationsMetadata)

Parameters:
  `version` -
  `updateSequence` -
  `serviceIdentification` -
  `serviceProvider` -
  `operationsMetadata` -

Method Detail

### getServiceIdentification

    public final ServiceIdentification getServiceIdentification()

  Returns:
    the serviceIdentification.

### getServiceProvider

    public final ServiceProvider getServiceProvider()

  Returns:
    the serviceProvider.

### getOperationsMetadata

    public final OperationsMetadata getOperationsMetadata()

  Returns:
    the operationsMetadata.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org